glfHandler Class Reference
Collaboration diagram for glfHandler:
[legend]

## Public Member Functions

bool | Open (const String &filename)
void | OpenStub ()
bool | Create (const String &filename)
bool | isOpen ()
void | Close ()
void | Rewind ()
bool | NextSection ()
bool | NextEntry ()
bool | NextBaseEntry ()
void | BeginSection (const String &sectionLabel, int sectionLength)
void | EndSection ()
void | WriteEntry (int outputPosition)
char | GetReference (int position, char defaultBase)
int | GetDepth (int position)
const double * | GetLikelihoods (int position)
const unsigned char * | GetLogLikelihoods (int position)
int | GetMapQuality (int position)

## Static Public Member Functions

static const double * | GetDefaultLikelihoods ()
static const unsigned char * | GetDefaultLogLikelihoods ()
static int | GenotypeIndex (int base1, int base2)

## Public Attributes

bool | isStub
IFILE | handle
String | header
String | label
int | sections
int | currentSection
int | maxPosition
bool | endOfSection
glfEntry | data
int | position
double | likelihoods [10]
String | indelSequence [2]
const char * | errorMsg

## Detailed Description

Definition at line 72 of file glfHandler.h.

The documentation for this class was generated from the following files:

- general/glfHandler.h
- general/glfHandler.cpp